Create an automatic installation package for DataMiner

Jul 23, 2015 05:27 PM - Gianpaolo Coro

Status: Closed Start date: Jul 23, 2015

Priority: Normal Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Target version: Computational Infrastructure upgrade to

smartgears 

  

Infrastructure: Development, Pre-Production,

Production

  

Description

This task requires designing an installation workflow for the DataMiner WPS service.

The workflow will start from the official 52 North release of the WPS application and will add SmartGears service, libraries and

configuration files to transform it into DataMiner.

Subtasks:

Task # 422: Report libraries and configuration components for DataMiner Closed

Related issues:

Related to D4Science Infrastructure - Task #1215: Install Dataminer in produc... Closed Oct 22, 2015

Related to D4Science Infrastructure - Task #1502: Automate the dataminer inst... Closed Nov 23, 2015

History

#1 - Jul 23, 2015 05:30 PM - Gianpaolo Coro

- Assignee changed from Gianpaolo Coro to Andrea Dell'Amico

This ticket requires a subticket to be completed

#3 - Oct 22, 2015 03:25 PM - Gianpaolo Coro

- Related to Task #1215: Install Dataminer in production environment added

#4 - Nov 23, 2015 04:08 PM - Andrea Dell'Amico

- Related to Task #1502: Automate the dataminer installation as a loadbalanced service added

#5 - Dec 02, 2015 12:14 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- Infrastructure Production added

The ansible playbook that installs and configure a dataminer node is now ready. The last missing part is the load balancer node.

#6 - Dec 09, 2015 12:13 AM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- Infrastructure Pre-Production added

The ansible playbook that installs a load balancer before the dataminer servers is ready, see https://support.d4science.org/issues/1504

#7 - Dec 11, 2015 03:40 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
